/*
 * printable.cpp
 *
 *  Created on: Aug 30, 2023
 *      Author: Dario
 */


#include <sta/tacos/startup.hpp>
#include <sta/debug/debug.hpp>

#include <sta/tacos/manager.hpp>
#include <tasks/dummy.hpp>

#include <memory>


namespace sta
{
	namespace tacos
	{
		void onStatemachineInit()
		{
			STA_DEBUG_PRINTLN("Starting statemachine task!");
		}

		void onManagerInit()
		{
			STA_DEBUG_PRINTLN("Starting manager task!");

			Manager::instance()->registerThread(std::make_unique<demo::DummyTask>("A"), {0, 1});
			Manager::instance()->registerThread(std::make_unique<demo::DummyTask>("B"), {0, 2});
			Manager::instance()->registerThread(std::make_unique<demo::DummyTask>("C"), {0, 3});
		}
	} // namespace tacos
} // namespace sta

